
QGIS Application - Bug report #17952

QGIS 2.99 crashes using 3D view (PostGIS generated polyhedral cube)

2018-01-24 08:30 PM - Gary Nobles

Status: Closed

Priority: Normal

Assignee:

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25848

Description

When I enable the 3d renderer (in properties) and try to view a postgis generated polyhdral (new 3D map view) it crashes, code to

replicate the polyhedral ishere: 

https://gis.stackexchange.com/questions/269123/viewing-polyhedrals-through-the-new-3d-viewer-qgis-2-99-3-0

Report from QGIS:

User Feedback

Report Details

Crash ID: 333c69e019367dd5f184c7bbd0fa4413b2e5b0f9

Stack Trace

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

RegisterProcTableCallback :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::NodeManagers::renderTargetManager :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:b4be39f98b

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:
https://gis.stackexchange.com/questions/269123/viewing-polyhedrals-through-the-new-3d-viewer-qgis-2-99-3-0


Duplicates QGIS Application - Bug report # 17315: 3D Viewer: QGIS Crash when ... Feedback 2017-10-22

History

#1 - 2018-01-26 02:14 PM - Martin Dobias

- Duplicates Bug report #17315: 3D Viewer: QGIS Crash when activating 3D Map view and 3D renderer added

#2 - 2018-01-26 02:16 PM - Martin Dobias

- Resolution set to duplicate

- Status changed from Open to Closed

The stack trace is the same as in #17315 so I am closing this as a duplicate
